#-- Lattice Semiconductor Corporation Ltd.
#-- Synplify OEM project file

#device options
set_option -technology MACHXO2
set_option -part LCMXO2_2000HC
set_option -package TG100C
set_option -speed_grade -6

#compilation/mapping options
set_option -symbolic_fsm_compiler true
set_option -resource_sharing true

#use verilog 2001 standard option
set_option -vlog_std v2001

#map options
set_option -frequency 100
set_option -maxfan 1000
set_option -auto_constrain_io 0
set_option -disable_io_insertion false
set_option -retiming false; set_option -pipe true
set_option -force_gsr false
set_option -compiler_compatible 0
set_option -dup false

add_file -constraint {/home/anuejn/code/apertus/nGateware/src/experiments/build/usb3_plugin_Usb3Plugin_JTAG__19_Nov_2020__13_12_36/usb3_plugin.sdc}
set_option -default_enum_encoding default

#simulation options


#timing analysis options



#automatic place and route (vendor) options
set_option -write_apr_constraint 1

#synplifyPro options
set_option -fix_gated_and_generated_clocks 1
set_option -update_models_cp 0
set_option -resolve_multiple_driver 0



#-- add_file options
set_option -include_path {/home/anuejn/code/apertus/nGateware/src/experiments/build/usb3_plugin_Usb3Plugin_JTAG__19_Nov_2020__13_12_36}
add_file -verilog {/home/anuejn/code/apertus/nGateware/src/experiments/build/usb3_plugin_Usb3Plugin_JTAG__19_Nov_2020__13_12_36/usb3_plugin.v}

#-- top module name
set_option -top_module usb3_plugin

#-- set result format/file last
project -result_file {/home/anuejn/code/apertus/nGateware/src/experiments/build/usb3_plugin_Usb3Plugin_JTAG__19_Nov_2020__13_12_36/usb3_plugin_impl/usb3_plugin_impl.edi}

#-- error message log file
project -log_file {usb3_plugin_impl.srf}

#-- set any command lines input by customer


#-- run Synplify with 'arrange HDL file'
project -run -clean
